<%@ page import="org.wso2.carbon.task.ui.internal.TaskClientConstants" %>
<%@ page import="org.wso2.carbon.task.ui.internal.TaskManagementClient" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<script type="text/javascript" src="global-params.js"></script>
<script type="text/javascript" src="taskcommon.js"></script>
<fmt:bundle basename="org.wso2.carbon.task.ui.i18n.Resources">

    <%
        TaskManagementClient client;
        try {

            String name = request.getParameter("taskName");
            if (name == null || "".equals(name)) {
                throw new ServletException("Task name is empty");
            }

            String group = request.getParameter("taskGroup");
            if (group == null || "".equals(group)) {
                throw new ServletException("Task group is empty");
            }

            client = TaskManagementClient.getInstance(config, session);
            name = name.trim();
            client.deleteTaskDescription(name, group);
//            request.getSession().removeAttribute(TaskClientConstants.TASK_KEY + name);
        } catch (Throwable e) {
            request.getSession().setAttribute(TaskClientConstants.EXCEPTION, e);
    %>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            CARBON.showErrorDialog('<%=e.getMessage()%>');
        });
    </script>
    <%
            return;
        }
    %>
    <script type="text/javascript">
        forward("index.jsp");
    </script>
</fmt:bundle>